# ERC1155 Functions

## Mint Functions

Functions used to mint NFTs.

<details>

<summary>mintBaseNew</summary>

*Mints a completely new token with the given amount **without** an extension. If URI is empty, URI will fall back to the default URI configured.*

*See the* [*smart contract*](https://github.com/manifoldxyz/creator-core-solidity/blob/main/contracts/core/IERC1155CreatorCore.sol) *for further details.*

***Permissions:** Owner/Admin function callable by contract owner only.*

```solidity
function mintBaseNew(address[] calldata to, uint256[] calldata amounts, string[] calldata uris) returns (uint256[] memory)
```

</details>

<details>

<summary>mintBaseExisting</summary>

*Mints more of an existing token **without** an extension. This function requires that the original token already exists and that it is **not a token minted from an extension**.*

*See the* [*smart contract*](https://github.com/manifoldxyz/creator-core-solidity/blob/main/contracts/core/IERC1155CreatorCore.sol) *for further details.*

***Permissions:** Owner/Admin function callable by contract owner only.*

```solidity
function mintBaseExisting(address[] calldata to, uint256[] calldata tokenIds, uint256[] calldata amounts)
```

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.manifold.xyz/manifold-for-developers/smart-contracts/manifold-creator/prior-versions/2.0.x/creator-core/erc1155-functions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
